import Image from "next/image";
import { Center, Heading, Grid, GridItem, Text } from "@chakra-ui/react";

<Grid templateColumns="repeat(2, 1fr)" gap={5}>
  <GridItem colSpan={[2,1]}>
    <Heading size="2xl">What will you learn in PPBL 2023?</Heading>
    <Text>
      Now that you have completed Modules 100 through 102, we'd like to tell you a bit more about this project-based
      learning course.
    </Text>
    <Text>
      At the 100-Level are the "Onboarding" Modules. The purpose of these modules is to help you understand how the course works, and introduce some ways for you to get started with Cardano development.
    </Text>
    <Text>
      Next come the 200-Level "Building Background Knowledge" (BBK) Modules. In these each of the BBK Modules, we will take a closer look at different parts of the Cardano development stack.
    </Text>
  </GridItem>
  <Center>
    <Image src="/PBLFramework.png" alt="pbl" width={300} height={300} />
  </Center>
</Grid>

<br />
---
<br />

# How Plutus PBL Works
Here are some things you should know about Plutus Project-Based Learning:

## In PPBL 2023, you will learn with examples.

You explored a few modules and lessons already. Hopefully you got a feel for how this course will work.

That's an example of learning with examples.

<br />
---

## In PPBL 2023, you will learn by doing.

Each Lesson shows you how to get started on a task or project, and suggestions for deeper exploration are provided.

Mastery Assignments push you to figure things out, and to discover new questions. For example, in Module 102, there are two Mastery Assignments. Each one raises questions about proof, evidence and reputation, which are all considerations in the grand project of decentralized identity. What questions are you most curious about?

<br />
---

## "Project-Based Learning" means there will be projects!

### Project: PPBL 2023 Contributor Token

The PPBL 2023 Token is an example of a project that we will explore in different ways. In Module 100 you minted a PPBL 2023 Contributor token, and in Module 102, you built transactions with the token. Congratulations on being "Onboarded" to the PPBL 2023 Contributor Token project!

In [the next lesson](/modules/103/1031), you have the option of adding some *off-chain* information to your token.

In the 200-Level Modules, we will "Build Background Knowledge" about how the Contributor Token works: first in a front end, and later in smart contracts.

### Project: Gimbal Project Treasury and Escrow

In this Module, you will get your first glance at another project called [Gimbal Project Treasury and Escrow](/modules/103/commit).

### More Projects to Come

Throughout PPBL 2023, we will introduce new projects, large and small.

<br />
---

## Throughout PPBL, you will see different ways to contribute.

If PPBL 2023 is successful, it will help you find a way to contribute to a real project.

There are many ways to contribute a project, and lots of projects are getting started on Cardano right now. Writing code and building systems will always be great ways to contribute to projects. This course will provide opportunities to practice doing both.

At the same time, not every contributor needs to be a developer. We will share ways to get started on different contribution pathways: for developers, non-developers, and anyone who might be trying to decide whether they know enough to understand what AI is telling them.

One way to contribute is to formulate new questions. For example, in Module 102, you began to see some questions about evidence and on-chain proof. These questions are essential to the development of the PPBL Contributor Token.

Your answers to these questions will lead toward new projects.

<br />
---

## Contribute at Gimbalabs. Contribute anywhere.

PPBL 2023 will introduce you to a variety of projects, and we hope that you find at least one where you'd be excited to contribute. If you want to contribute here at Gimbalabs, we'd like to have you here! We'll also show you other places to contribute.

For example, in Module 101, you saw some documentation for Aiken and plu-ts. You might have noticed that the [Aiken Hello World](https://aiken-lang.org/example--hello-world#getting-funds) and [Hello plu-ts](https://pluts.harmoniclabs.tech/docs/examples/Hello%20World#deployng-the-contract) guides explain more than just how to write your first smart contract. Did you keep going with the documentation? If so, what new questions do you have? What are you most excited about?

Maybe you have your own project in mind. You can invite other PPBL students to join you.

<br />
---

## So, Welcome Aboard!

The Plutus PBL course is itself a project, where we are learning by doing, together.

Let's dive back into some project-based learning.

import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;
